Gentoo Archives: gentoo-commits

From: Sobhan Mohammadpour <sobhan@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] proj/gnome:master commit in: x11-libs/tepl/
Date: Mon, 31 Dec 2018 20:22:10
Message-Id: 1546280392.f192653418cafd0b7c1bbbcabf4ae1692f2250bb.sobhan@gentoo
commit:     f192653418cafd0b7c1bbbcabf4ae1692f2250bb
Author:     Sobhan Mohammadpour <sobhan <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 31 18:19:52 2018 +0000
Commit:     Sobhan Mohammadpour <sobhan <AT> gentoo <DOT> org>
CommitDate: Mon Dec 31 18:19:52 2018 +0000
URL:        https://gitweb.gentoo.org/proj/gnome.git/commit/?id=f1926534

x11-libs/tepl: bump to 4.2.0

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Manifest-Sign-Key: 0x7DF238CF0AA182E1
Signed-off-by: Sobhan Mohammadpour <sobhan <AT> gentoo.org>

 x11-libs/tepl/tepl-4.2.0.ebuild | 51 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

diff --git a/x11-libs/tepl/tepl-4.2.0.ebuild b/x11-libs/tepl/tepl-4.2.0.ebuild
new file mode 100644
index 00000000..3c963606
--- /dev/null
+++ b/x11-libs/tepl/tepl-4.2.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2 virtualx
+
+DESCRIPTION="GtkSourceView-based text editors and IDE helper library"
+HOMEPAGE="https://wiki.gnome.org/Projects/Gtef"
+
+LICENSE="LGPL-2.1+"
+SLOT="3"
+KEYWORDS="~amd64 ~x86"
+IUSE="+introspection test"
+
+RDEPEND="
+	>=dev-libs/glib-2.52:2
+	>=x11-libs/gtk+-3.22
+	x11-libs/gtksourceview:4
+	>=dev-libs/libxml2-2.5
+	app-i18n/uchardet
+	introspection? ( >=dev-libs/gobject-introspection-1.42:= )
+	x11-libs/amtk
+"
+DEPEND="${DEPEND}
+	test? ( dev-util/valgrind )
+	>=sys-devel/gettext-0.19.4
+	>=dev-util/gtk-doc-am-1.25
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	# requires running gvfs-metadata
+	sed -e 's:\(g_test_add_func.*/file/load_save_metadata_sync.*\):/*\1*/:' \
+		-e 's:\(g_test_add_func.*/file/load_save_metadata_async.*\):/*\1*/:' \
+		-e 's:\(g_test_add_func.*/file/set_without_load.*\):/*\1*/:' \
+		-i testsuite/test-file-metadata.c || die
+
+	gnome2_src_prepare
+}
+
+src_configure() {
+	gnome2_src_configure \
+		--enable-gvfs-metadata \
+		$(use_enable introspection) \
+		$(use_enable test valgrind)
+}
+
+src_test() {
+	virtx emake check
+}